Configure real git user
=======================

!!DO NOT USE BUILT-IN SSH SERVER!!

app.ini:
```
[server]
DISABLE_SSH      = false
SSH_PORT         = 22
START_SSH_SERVER = false
```

Create user and SSH key:
``` shell
. ./env
groupadd -g "${PUID}" git
useradd -g git -u "${PGID}" git -d "$(pwd)"/data/gogs/git
sudo -u git ssh-keygen -f ~git/.ssh/id_rsa -N ''
echo -n 'no-port-forwarding,no-X11-forwarding,no-agent-forwarding,no-pty ' | sudo -u git cat - ~git/.ssh/id_rsa.pub | sudo -u git tee ~git/.ssh/authorized_real_keys
```


/app/gogs/gogs: (chmod +x)
```
#!/bin/sh
ssh -p 35021 -o StrictHostKeyChecking=no git@127.0.0.1 "SSH_ORIGINAL_COMMAND=\"$SSH_ORIGINAL_COMMAND\" $0 $@"
```

/etc/ssh/sshd_config:
```
Match user git
  PasswordAuthentication no
```
